\documentclass{standalone}

\usepackage{tikz}
 \input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(-0.25,-0.25) rectangle (2.25,2);
\fill[line width=1.5pt,color=J3,fill=J3] (0,0) -- (0.5,0.8660254037844386) -- (1,1.7320508075688772) -- (2,1.7320508075688776) -- (1.5,0.8660254037844386) -- (1,0) -- cycle;
\draw [line width=1.5pt] (0,0)-- (0.5,0.8660254037844386);
\draw [line width=1.5pt] (0.21590948257445716,0.45269487130466973) -- (0.28409051742554287,0.41333053247976814);
\draw [line width=1.5pt] (0.5,0.8660254037844386)-- (1,1.7320508075688772);
\draw [line width=1.5pt] (0.7159094825744572,1.3187202750891083) -- (0.7840905174255429,1.2793559362642068);
\draw [line width=1.5pt] (1,1.7320508075688772)-- (2,1.7320508075688776);
\draw [line width=1.5pt] (1.5,1.7714151463937788) -- (1.5,1.6926864687439758);
\draw [line width=1.5pt] (2,1.7320508075688776)-- (1.5,0.8660254037844386);
\draw [line width=1.5pt] (1.784090517425543,1.279355936264207) -- (1.7159094825744574,1.3187202750891087);
\draw [line width=1.5pt] (1.5,0.8660254037844386)-- (1,0);
\draw [line width=1.5pt] (1.2840905174255426,0.41333053247976814) -- (1.215909482574457,0.45269487130466973);
\draw [line width=1.5pt] (1,0)-- (0,0);
\draw [line width=1.5pt] (0.5,-0.0393643388249016) -- (0.5,0.0393643388249016);
\draw [line width=1.5pt] (0.5,0.8660254037844386)-- (1,0);
\draw [line width=1.5pt] (0.7840905174255429,0.45269487130466973) -- (0.7159094825744572,0.41333053247976814);
\draw [line width=1.5pt] (0.5,0.8660254037844386)-- (1.5,0.8660254037844386);
\draw [line width=1.5pt] (1,0.9053897426093399) -- (1,0.8266610649595366);
\draw [line width=1.5pt] (1.5,0.8660254037844386)-- (1,1.7320508075688772);
\draw [line width=1.5pt] (1.215909482574457,1.2793559362642068) -- (1.2840905174255426,1.3187202750891083);
\end{tikzpicture}
\end{document}